Package org.eclipse.mat.util

## Enum IProgressListener.Severity

- java.lang.Object
- - java.lang.Enum<IProgressListener.Severity>
  - - org.eclipse.mat.util.IProgressListener.Severity

All Implemented Interfaces:
  `Serializable`, `Comparable<IProgressListener.Severity>`

Enclosing interface:
  IProgressListener

    public static enum IProgressListener.Severity
    extends Enum<IProgressListener.Severity>

Defines the severities possible for a user message.

- `ERROR` - a serious error (most severe)
- `WARNING` - a warning (less severe)
- `INFO` - an informational ("fyi") message (least severe)

### Enum Constant Summary

Enum Constants
`ERROR` Severity indicating this user message represents an error.
`INFO` Severity indicating this user message is informational only.
`WARNING` Severity indicating this user message represents a warning.

### Method Summary

All Methods Static Methods Concrete Methods
`static IProgressListener.Severity` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static IProgressListener.Severity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INFO

    public static final IProgressListener.Severity INFO

Severity indicating this user message is informational only.

#### WARNING

    public static final IProgressListener.Severity WARNING

Severity indicating this user message represents a warning.

#### ERROR

    public static final IProgressListener.Severity ERROR

Severity indicating this user message represents an error.

### Method Detail

#### values

    public static IProgressListener.Severity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IProgressListener.Severity c : IProgressListener.Severity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IProgressListener.Severity valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null